Bug 132515 - pam_cracklib dcredit ucredit lcredit ocredit not working as expected
pam_cracklib dcredit ucredit lcredit ocredit not working as expected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-14 06:07 EDT by Demosthenes T. Mateo Jr.
Modified: 2015-01-07 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version: pam-0.75-62
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-27 11:03:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Demosthenes T. Mateo Jr. 2004-09-14 06:07:48 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (X11; Linux i686; U)  [en]

Description of problem:
I have this option in my /etc/pam.d/system-auth:

password    required     /lib/security/$ISA/pam_cracklib.so 
dcredit=-1 ucredit=-1 ocredit=-1 lcredit=0 minlen=8 retry=3

As a regular user, I attempted to change my password and entered
"asdf1234". PAM accepted it.

Version-Release number of selected component (if applicable):
pam-0.75-58

How reproducible:
Always

Steps to Reproduce:
1.set /etc/pam.d/system-auth to the above configuration
2. change your password using "passwd" and enter 'asdf1234'
    

Actual Results:  PAM accepted the password

Expected Results:  PAM should not accept the password

Additional info:

The same system-auth configuration on Fedora Core 2 ended with this 
error message:

"BAD PASSWORD: is too simple"
Comment 1 Michael Cook 2004-09-21 14:31:55 EDT
This functionality is not supported in the version of pam_cracklib on
ES /WS/AS 3.0, although it is supported on FC2.  Our auditors have
informed us that such a setting would provide proof of good passwords
for Sarbanes/Oxley audits.  I have a high interest in this
functionality as well.
Comment 2 Gary Bilek 2004-12-13 11:44:50 EST
I need this functionality to work properly in AS 2.1 and AS 3.0 as
well to pass audit and information security requirements. With
dcredit=-1 I was able to enter a password containing all numeric values.
Comment 3 Tomas Mraz 2004-12-27 11:03:32 EST
This is fixed in RHEL 3.0 U4 and RHEL 2.1 U6 updates.

Note You need to log in before you can comment on or make changes to this bug.